---
title: "Setting Naver Organic SERP Tasks"
url: "https://docs.dataforseo.com/v3/serp/naver/organic/task_post/"
date: "2026-06-06"
---

## Setting Naver Organic SERP Tasks

  
Naver SERP API provides top 15 search engine results. Naver search results do not vary by location and language, and the search parameters for this search engine do not contain language and location variables. However, you can specify a keyword in any language, and the search engine results may vary depending on the language you used for specifying the search query.

There are two different priorities that stand for the relative speed of task execution: normal and high.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) POST  https://api.dataforseo.com/v3/serp/naver/organic/task\_post     

      

Pricing

  Your account will be charged only for setting a task.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/naver-organic-serp-api "Pricing") page.

 

 All POST data should be sent in the [JSON](https://en.wikipedia.org/wiki/JSON) format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, with each POST call containing no more than 100 tasks. If your POST call contains over 100 tasks, the tasks over this limit will return the `40006` error. Visit [DataForSEO Help Center](https://dataforseo.com/help-center/best-practices-low-volume-serp-api-payload) to get practical tips for request handling depending on your SERP API payload volume.

You can retrieve the results of completed tasks using the unique task identifier `id`. Alternatively, we can send them to you as soon as they are ready if you specify the `postback_url` or `pingback_url` when setting a task. Note that if your server doesn’t respond within 10 seconds, the connection will be aborted by timeout, and the task will be transferred to the [‘Tasks Ready’](https://docs.dataforseo.com/v3/serp/naver/organic/tasks_ready.md) list. The error code and message depend on your server’s configuration. See [Help Center](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api) to learn more about using pingbacks and postbacks with DataForSEO APIs.

Below you will find a detailed description of the fields you can use for setting a task.

**Description of the fields for setting a task:**

| Field name | Type | Description |
|---|---|---|
| `keyword` | string | *keyword*   **required field**   you can specify **up to 700 characters** in the `keyword` field   all %## will be decoded (plus character ‘+’ will be decoded to a space character)   if you need to use the “%” character for your `keyword`, please specify it as “%25”;   if you need to use the “+” character for your `keyword`, please specify it as “%2B” learn more about rules and limitations of `keyword` and `keywords` fields in DataForSEO APIs in this [Help Center article](https://dataforseo.com/help-center/rules-and-limitations-of-keyword-and-keywords-fields-in-dataforseo-apis) |
| `url` | string | *direct URL of the search query*   optional field   you can specify a direct URL and we will sort it out to the necessary fields   in most cases, we wouldn’t recommend using this method;   example:   `https://search.naver.com/search.naver?where=nexearch&sm=top_hty&fbm=1&ie=utf8&query=iphone` |
| `priority` | integer | *task priority*   optional field   can take the following values:   1 – normal execution priority (set by default)   2 – high execution priority   You will be additionally charged for the tasks with high execution priority.   The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/naver-organic-serp-api "Pricing") page. |
| `depth` | integer | *parsing depth*   optional field   number of results in SERP   default value: `15`   max value: `700`  **Your account will be billed per each SERP containing up to 15 results;**   Setting depth above 15 may result in additional charges [if the search engine returns more than 15 results](https://dataforseo.com/help-center/how-many-results-scraped);   The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/naver-organic-serp-api "Pricing") page. |
| `max_crawl_pages` | integer | *page crawl limit*   optional field   number of search results pages to crawl   default value: `1`   max value: `100`   **Note:** the `max_crawl_pages` and `depth` parameters complement each other;   learn more at [our help center](https://dataforseo.com/help-center/what-is-max-crawl-pages-and-how-does-it-work) |
| `device` | string | *device type*   optional field   return results for a specific device type   can take the values:`desktop`, `mobile`   default value: `desktop` |
| `os` | string | *device operating system*   optional field   if you specify `desktop` in the `device` field, choose from the following values: `windows`, `macos`   default value: `windows`   if you specify `mobile` in the `device` field, choose from the following values: `android`, `ios`   default value: `android` |
| `se_domain` | string | *search engine domain*   optional field   we choose the relevant search engine domain automatically   however, you can set a custom search engine domain in this field   example:   ``*search.naver.com* |
| `search_param` | string | *additional parameters of the search query*   optional field   [get the list of available parameters and additional details here](https://dataforseo.com/what-are-google-search-parameters-and-how-to-use-them-with-serp-api.html) |
| `stop_crawl_on_match` | array | *array of targets to stop crawling*   optional field   specified as an array of target objects   each target object consists of one `match_type` field and one `match_value` field   **you can specify up to 10 target objects in this array**   if specified, the response will contain SERP results up to and including the specified `match_value`;   example:   `"stop_crawl_on_match":[{"match_value":"dataforseo.com","match_type":"with_subdomains"}]`   learn more about this parameter on our [Help Center](https://dataforseo.com/help-center/using-the-stop_crawl_on_match-parameter-in-serp-api)  **Your account will be billed for every SERP crawled until the conditions you specified in this array are met** |
| `match_value` | string | *target domain, subdomain, or wildcard value*   **required field if `stop_crawl_on_match` is specified**   specify a target domain, subdomain, or wildcard value;   **Note:** domain or subdomain must be specified without a request protocol;   example: `"match_value": "dataforseo.com"`,   `"match_value": "/blog/post-*"` |
| `match_type` | string | *target match type*   **required field if `stop_crawl_on_match` is specified**   type of match for the `match_value`   possible values:   `domain` – specific domain or subdomain   `with_subdomains` – main domain and subdomains   `wildcard` – wildcard pattern |
| `tag` | string | *user-defined task identifier*   optional field   *the character limit is 255*   you can use this parameter to identify the task and match it with the result   you will find the specified `tag` value in the `data` object of the response |
| `postback_url` | string | *URL for sending task results*   optional field   once the task is completed, we will send a POST request with its results compressed in the `gzip` format to the `postback_url` you specified   you can use the ‘$id’ string as a `$id` variable and ‘$tag’ as urlencoded `$tag` variable. We will set the necessary values before sending the request.   example:   `http://your-server.com/postbackscript?id=$id`   `http://your-server.com/postbackscript?id=$id&tag=$tag`   **Note:** special characters in `postback_url` will be urlencoded;   i.a., the `#` character will be encoded into `%23`learn more on our [Help Center](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api) |
| `postback_data` | string | *postback\_url datatype*   **required field if you specify `postback_url`**   corresponds to the function you used for setting a task   possible values:   `regular`, `advanced`, `html` |
| `pingback_url` | string | *notification URL of a completed task*   optional field   when a task is completed we will notify you by GET request sent to the URL you have specified   you can use the ‘$id’ string as a `$id` variable and ‘$tag’ as urlencoded `$tag` variable. We will set the necessary values before sending the request.   example:   `http://your-server.com/pingscript?id=$id`   `http://your-server.com/pingscript?id=$id&tag=$tag`   **Note:** special characters in `pingback_url` will be urlencoded;   i.a., the `#` character will be encoded into `%23`learn more on our [Help Center](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api) |

  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

**Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`**array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *unique task identifier in our system*   in the [Universally unique identifier (UUID)](https://en.wikipedia.org/wiki/Universally_unique_identifier) format |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000 |
| `status_message` | string | *informational message of the task* |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results*   in this case, the value will be `null` |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/serp/naver/organic/task_post" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
        {
        "keyword": "albert einstein",
        "device": "desktop",
        "tag": "some_string_123",
        "postback_url": "https://your-server.com/postbackscript.php",
        "postback_data": "regular"
        }
]'
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
   // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
   $client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
   exit();
}
$post_array = array();
// example #1 - a simple way to set a task
// this way requires you to specify a keyword.
$post_array[] = array(
   "keyword" => mb_convert_encoding("albert einstein", "UTF-8")
);
// example #2 - a way to set a task with additional parameters
// high priority allows us to complete a task faster, but you will be charged more credits.
// after a task is completed, we will send a GET request to the address you specify. Instead of $id and $tag, you will receive actual values that are relevant to this task.
$post_array[] = array(
   "keyword" => mb_convert_encoding("albert einstein", "UTF-8"),
   "priority" => 2,
   "tag" => "some_string_123",
   "pingback_url" => 'https://your-server.com/pingscript?id=$id&tag=$tag'
);
// this example has a 2 elements, but in the case of large number of tasks - send up to 100 elements per POST request
if (count($post_array) > 0) {
   try {
      // POST /v3/serp/naver/organic/task_post
      // in addition to 'naver' and 'organic' you can also set other search engine and type parameters
      // the full list of possible parameters is available in documentation
      $result = $client->post('/v3/serp/naver/organic/task_post', $post_array);
      print_r($result);
      // do something with post result
   } catch (RestClientException $e) {
      echo "n";
      print "HTTP code: {$e->getHttpCode()}n";
      print "Error code: {$e->getCode()}n";
      print "Message: {$e->getMessage()}n";
      print  $e->getTraceAsString();
      echo "n";
   }
}
$client = null;
?>
```





```js
const post_array = [];

post_array.push({
  "keyword": encodeURI("albert einstein")
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/serp/naver/organic/task_post',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# example #1 - a simple way to set a task
# this way requires you to specify a keyword.
post_data[len(post_data)] = dict(
    keyword="albert einstein"
)
# example #2 - a way to set a task with additional parameters
# high priority allows us to complete a task faster, but you will be charged more.
# after a task is completed, we will send a GET request to the address you specify. Instead of $id and $tag, you will receive actual values that are relevant to this task.
post_data[len(post_data)] = dict(
    keyword="albert einstein",
    priority=2,
    tag="some_string_123",
    pingback_url="https://your-server.com/pingscript?id=$id&tag=$tag"
)
# POST /v3/serp/naver/organic/task_post
# in addition to 'naver' and 'organic' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/naver/organic/task_post", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_task_post()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // example #1 - a simple way to set a task
            // this way requires you to specify a keyword.
            postData.Add(new
            {
                keyword = "albert einstein"
            });
            // example #2 - a way to set a task with additional parameters
            // high priority allows us to complete a task faster, but you will be charged more credits.
            // after a task is completed, we will send a GET request to the address you specify. Instead of $id and $tag, you will receive actual values that are relevant to this task.
            postData.Add(new
            {
                keyword = "albert einstein",
                priority = 2,
                tag = "some_string_123",
                pingback_url = "https://your-server.com/pingscript?id=$id&tag=$tag"
            });
            // POST /v3/serp/naver/organic/task_post
            // in addition to 'naver' and 'organic' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/serp/naver/organic/task_post", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
    "version": "0.1.20210304",
    "status_code": 20000,
    "status_message": "Ok.",
    "time": "0.1338 sec.",
    "cost": 0.0015,
    "tasks_count": 1,
    "tasks_error": 0,
    "tasks": [
        {
            "id": "03171218-1535-0066-0000-6e916482abe9",
            "status_code": 20100,
            "status_message": "Task Created.",
            "time": "0.0138 sec.",
            "cost": 0.0015,
            "result_count": 0,
            "path": [
                "v3",
                "serp",
                "naver",
                "organic",
                "task_post"
            ],
            "data": {
                "api": "serp",
                "function": "task_post",
                "se": "naver",
                "se_type": "organic",
                "keyword": "albert einstein",
                "priority": 2,
                "tag": "some_string_123",
                "pingback_url": "https://your-server.com/pingscript?id=$id&tag=$tag",
                "device": "desktop",
                "os": "windows"
            },
            "result": null
        }
    ]
}
```









 

  cURL   php   Node.js   Python   cSharp